/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package conferencesolver.solution.generator;

import conferencesolver.problem.ConferenceProblem;
import conferencesolver.solution.ConferenceSolution;

/**
 *
 * @author Michael Brooks <mjbrooks@uw.edu>
 */
public class DumbSolutionGenerator extends AbstractSolutionGenerator {

    @Override
    public void internalGenerateSolution(ConferenceProblem problem) {
        
        ConferenceSolution solution = new ConferenceSolution(problem);
        
        int paperCounter = 0;
        for (int s = 0; s < problem.getNumSessions(); s++) {
            for (int t = 0; t < problem.getTracksInSession(); t++) {
                for (int k = 0; k < problem.getPapersInSession(); k++) {
                    solution.setPaper(s, t, k, paperCounter);
                    paperCounter++;
                }
            }
        }
        
        update(solution);
    }
}
