/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package conferencesolver.solution.improver;

/**
 *
 * @author Michael Brooks <mjbrooks@uw.edu>
 */
public class TrackSwap implements Comparable<TrackSwap> {

    public int session1;
    public int track1;
    public int session2;
    public int track2;
    public double deltaScore;

    public TrackSwap(int session1, int track1, int session2, int track2, double deltaScore) {
        this.session1 = session1;
        this.track1 = track1;
        this.session2 = session2;
        this.track2 = track2;
        this.deltaScore = deltaScore;
    }

    @Override
    public int compareTo(TrackSwap other) {
        return Double.compare(deltaScore, other.deltaScore);
    }
}
