/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package conferencesolver.problem;

import conferencesolver.solution.ConferenceSolution;

/**
 *
 * @author Michael Brooks <mjbrooks@uw.edu>
 */
public interface Objective {
    double scoreConference(ConferenceSolution conference);
    double getSwapValueDelta(ConferenceSolution solution, int slot1, int slot2);
    double getValueFromSlot(ConferenceSolution solution, int slot);
    double getDistance(int paperA, int paperB);

    double getValueFromTrack(ConferenceSolution solution, int session1, int track1);
    double getTrackSwapValueDelta(ConferenceSolution solution, int session1, int track1, int session2, int track2);
}
