/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package conferencesolver.solution.generator;

import conferencesolver.Evaluation;
import conferencesolver.problem.ConferenceProblem;
import conferencesolver.solution.ConferenceSolution;

/**
 *
 * @author Michael Brooks <mjbrooks@uw.edu>
 */
public interface SolutionGenerator {
    
    ConferenceSolution generateSolution(ConferenceProblem problem);
    
    void setTimeLimit(double timeLimit);
    void doEvaluation(Evaluation evaluation);
    
    double getCurrentScore();
    double getTimeTaken();

    public String getName();
    public void setRepetition(int rep);
    public void setName(String name);
}
